For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SDKsHelp CenterLog inSign up
    • Overview
  • Getting Started
    • API Mechanics
    • Quickstart
  • Guides
    • Communications API
    • Troubleshooting
    • Events
    • Changelog
  • Comms API Reference
      • GETList SenderPools
      • POSTCreate a SenderPool
      • GETFetch a SenderPool
      • DELDelete a SenderPool
      • PATCHUpdate a SenderPool
      • GETList Senders in a SenderPool
      • POSTAdd Senders to a SenderPool
      • DELRemove a Sender from a SenderPool
      • GETList Sender Pool Operations
      • GETFetch a SenderPool Operation
LogoLogo
SDKsHelp CenterLog inSign up
Comms API ReferenceSender Pools

Update a SenderPool

PATCH
https://comms.twilio.com/v1/SenderPools/:senderPoolId
PATCH
/v1/SenderPools/:senderPoolId
1import { TwilioClient } from "twilio-comms";
2
3async function main() {
4 const client = new TwilioClient({
5 accountId: "YOUR_ACCOUNTID_HERE",
6 authToken: "YOUR_AUTHTOKEN_HERE",
7 });
8 await client.senderPools.update("senderPoolId", {
9 name: "Customer Support Senders - Tier 1",
10 tags: {
11 "tier": "1",
12 },
13 });
14}
15main();
1{
2 "resourceId": "comms_senderpool_01h9krwprkeee8fzqspvwy6nq8",
3 "resourceLocation": "https://comms.twilio.com/v1/SenderPools/comms_senderpool_01h9krwprkeee8fzqspvwy6nq8"
4}
This operation partially updates a SenderPool
Was this page helpful?
Previous

List Senders in a SenderPool

Next
Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <account_id:auth_token>.

OR
AuthorizationBasic

Basic authentication of the form Basic <api_key:api_key_secret>.

Path parameters

senderPoolIdstringRequired

Request

This endpoint expects an object.
namestringOptional
The friendly name of the SenderPool
tagsmap from strings to stringsOptional
Custom metadata in the form of key-value pairs. Maximum size of a tag key is 128 characters. Maximum size of a tag value is 256 characters. There can be a maximum of 10 key-value pairs. This field can be templated with [Liquid](https://shopify.github.io/liquid/). Specify `variables` with each recipient for personalization.

Response headers

Locationstring

The location (uri) of the resource identified by Resource-Id.

Response

The request was accepted and a resource ID is available to check the result. The response body contains the resource ID and link to the resource.
resourceIdstring
The Resource ID is an identifier for the resource that was created or updated in response to the request.
resourceLocationstringformat: "uri"

The location (uri) of the resource identified by Resource-Id.

Errors

400
Bad Request Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error

Custom metadata in the form of key-value pairs. Maximum size of a tag key is 128 characters. Maximum size of a tag value is 256 characters. There can be a maximum of 10 key-value pairs.

This field can be templated with Liquid. Specify variables with each recipient for personalization.